batchman(1)

NAME
batchman - batch execution interface for the neural network simulation package SNNS

SYNOPSIS
batchman [-f scriptfile] [ -l logfile ] [-p] [-q] [-s] [-h]

OPTIONS
-f scriptfile
    read all the commands to be executed from the file scriptfile. If no -f option is given, read the commands from stdin. For a description of the script grammer, please refer to the SNNS manual.
-l logfile
    write output not only to stdout but also to the file logfile for later checking.
-p
    parse only. Do not execute script, just test for gramatical correctness.
-q
    run very quiet. Display only contents of print statements defined by the user, don't issue comments on the current state of the execution.
-s
    parse silently. Do not display warnings produced by the parser.
-h
    print usage information and exit.

DESCRIPTION
Since training a neural network may require several hours of cpu time, it is advisable to perform this task as a batch job during low usage times. SNNS offers the program batchman for this purpose. It is basically an additional interface to the kernel that allows easy background execution. The Interpreter can be used in an interactive mode or with the help of a file, containing the batch program. When using a file no input from the keyboard is necessary. The interactive mode can be activated by just calling the interpreter. All the instructions entered at the command prompt are executed only after Ctrl-D is pressed. For a description of the batch script language refer to the SNNS user manual.

SEE ALSO
The SNNS user manual under the SNNS installation directory or the hypertext manual at http://www-ra.informatik.uni-tuebingen.de/SNNS/UserManual/UserManual.html xgui(1) graphical user interface for SNNS snns2c(1) compiler to transform a trained neural network into a C-routine snns(1) description of the whole package

AUTHOR
Guenter W. Mamier